-Preparing for the first public release, CVC4 1.0.
+This file contains a summary of important user-visible changes.
--- Morgan Deters <mdeters@cs.nyu.edu> Sat, 06 Oct 2012 13:22:31 -0400
+This is the first public release, CVC4 1.0.
+
+-- Morgan Deters <mdeters@cs.nyu.edu> Sat, 01 Dec 2012 12:53:23 -0500
# -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.
-m4_define(_CVC4_MAJOR, 0) dnl version (major)
+m4_define(_CVC4_MAJOR, 1) dnl version (major)
m4_define(_CVC4_MINOR, 0) dnl version (minor)
m4_define(_CVC4_RELEASE, 0) dnl version (alpha)
-m4_define(_CVC4_EXTRAVERSION, [prerelease]) dnl version (extra)
+m4_define(_CVC4_EXTRAVERSION, []) dnl version (extra)
m4_define(_CVC4_RELEASE_STRING, _CVC4_MAJOR[.]_CVC4_MINOR[]m4_if(_CVC4_RELEASE,[0],,[.]_CVC4_RELEASE)_CVC4_EXTRAVERSION) dnl version string
dnl Preprocess CL args. Defined in config/cvc4.m4
./autogen.sh || echo "autoconf failed; does library_versions have something to match $version?"; \
mkdir "release-$version"; \
cd "release-$version"; \
- ../configure production-cln-staticbinary --disable-shared --enable-unit-testing --without-cudd --with-readline --with-portfolio; \
+ ../configure production-staticbinary --disable-shared --enable-unit-testing --without-cudd --with-readline --with-portfolio; \
make dist "$@"; \
tar xf "cvc4-$version.tar.gz"; \
cd "cvc4-$version"; \
- ./configure production-cln-staticbinary --disable-shared --enable-unit-testing --without-cudd --with-readline --with-portfolio; \
+ ./configure production-staticbinary --disable-shared --enable-unit-testing --without-cudd --with-readline --with-portfolio; \
make check "$@"; \
make distcheck "$@"; \
'; then
echo "$(basename "$0"): INTERNAL ERROR: Cannot find the distribution tarball I just built" >&2
exit 1
fi
-if ! [ -e release-$version/src/main/cvc4 ]; then
+if ! [ -e release-$version/cvc4-$version/builds/src/main/cvc4 ]; then
echo "$(basename "$0"): INTERNAL ERROR: Cannot find the binary I just built" >&2
exit 1
fi
echo
echo 'This release of CVC4 will identify itself as:'
echo
-release-$version/src/main/cvc4 --version
+release-$version/cvc4-$version/builds/src/main/cvc4 --version
echo
isthatright
echo
echo 'This binary release of CVC4 will identify itself as being configured like this:'
echo
-release-$version/src/main/cvc4 --show-config
+release-$version/cvc4-$version/builds/src/main/cvc4 --show-config
echo
isthatright
cp -p "release-$version/cvc4-$version.tar.gz" .
gpg -b --armor "cvc4-$version.tar.gz"
-echo
-echo "Signing cvc4 binary..."
-cp -p "release-$version/src/main/cvc4" "cvc4-$version"
-gpg -b --armor "cvc4-$version"
+#echo
+#echo "Signing cvc4 binary..."
+#cp -p "release-$version/cvc4-$version/builds/src/main/cvc4" "cvc4-$version"
+#gpg -b --armor "cvc4-$version"
-echo
-echo "Signing pcvc4 binary..."
-cp -p "release-$version/src/main/pcvc4" "pcvc4-$version"
-gpg -b --armor "pcvc4-$version"
+#echo
+#echo "Signing pcvc4 binary..."
+#cp -p "release-$version/src/main/pcvc4" "pcvc4-$version"
+#gpg -b --armor "pcvc4-$version"
echo
echo "About to run: svn commit -m \"Cutting release $version.\""